singularity(1)

NAME

singularity-capability - Manage Linux capabilities for users and groups

SYNOPSIS

singularity capability

DESCRIPTION

Capabilities allow you to have fine grained control over the permissions that
  your containers need to run.

NOTE: capability add/drop commands require root to run. Granting capabilities
  to users allows them to escalate privilege inside the container and will
  likely give them a route to privilege escalation on the host system as well.
  Do not add capabilities to users who should not have root on the host system.

OPTIONS

-h, --help[=false]
    help for capability

EXAMPLE

      All group commands have their own help output:

      $ singularity help capability add
      $ singularity capability add --help

SEE ALSO

singularity(1), singularity-capability-add(1), singularity-capability-avail(1), singularity-capability-drop(1), singularity-capability-list(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra